Bug 106972 - PDF export: pdf images mishandled for LO writer pdf export output
Summary: PDF export: pdf images mishandled for LO writer pdf export output
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-05 12:35 UTC by Miklos Vajna
Modified: 2020-06-12 08:09 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (229.23 KB, application/vnd.oasis.opendocument.text)
2017-04-05 12:35 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2017-04-05 12:35:45 UTC
Created attachment 132353 [details]
Reproducer document.

See the attached document. It was created by exporting a Writer document to PDF, then inserting that PDF as a "PDF image". If you export this ODT to PDF, then the name F1 of a font resource is unknown.
Comment 1 Commit Notification 2017-04-05 17:08:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=242a9b634213acf03cabc373928555dc81afc672

tdf#106972 vcl PDF export, PDF images: handle indirect font references

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Miklos Vajna 2017-04-05 17:09:48 UTC
Another related problem is when the PDF image is PDF-1.5/1.6/1.7: we can't embed that in a native way in our default PDF 1.4 output.
Comment 3 Commit Notification 2017-04-05 20:06:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4443d7be61a9ae45630183d856a566cecd06ad95

Related: tdf#106972 vcl PDF export, PDF images: ignore PDF >= 1.5

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-04-11 15:40:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37bdf1659ddb11d8706289511623cc7c8b0d264b

Related: tdf#106972 vcl PDF import: downgrade PDF >= 1.5

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.